/*******************************************************************************
* FILE NAME: auto_routines.h
*
* DESCRIPTION:
*  This file contains several sample autonomous techniques as a
*  progressive development from prinitive to more sophisticated.
*    
*
* USAGE:
*
*******************************************************************************/

#ifndef __auto_routines_h_
#define __auto_routines_h_

#define CLOCKWISE         1 /* CW for short */
#define CW                CLOCKWISE
#define COUNTERCLOCKWISE  0 /* CCW for short */
#define CCW               COUNTERCLOCKWISE
#define NONE            127
#define NEUTRAL         127
#define FULLSPEED       127
#define HALFSPEED        64


void Autonomous_1(void);
void Sample_Auto_1(void);
void Sample_Auto_1a(void);
void Sample_Auto_2(void);
void Sample_Auto_3(void);
void Sample_Auto_4(void);
void Sample_Auto_5(void);

/*Driving functions */
void Drive_Forward(unsigned char speed);
void Drive_Backward(unsigned char speed);
void Drive_Left(unsigned char speed, unsigned char direction);
void Drive_Right(unsigned char speed, unsigned char direction);
void Drive_Spin_In_Place(unsigned char speed, unsigned char direction);
void Drive_Stop(void);

#endif
